gRPC C#
gRPC C#
Namespaces
Grpc.Core
Status Structure
Status Constructor
Status Properties
Status Methods
Status Fields

Status Structure

Represents RPC result, which consists of StatusCode and an optional detail string.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public struct Status

    Public Structure Status

    public value class Status

    [<SealedAttribute>]
    type Status =  struct end

The Status type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Status | Creates a new instance of Status.

Top
Properties

| Name | Description
--- | --- | ---
| Detail | Gets the detail.
| StatusCode | Gets the gRPC status code. OK indicates success, all other values indicate an error.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
| GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Status. (Overrides ValueType ToString .)

Top
Fields

| Name | Description
--- | --- | ---
| DefaultCancelled | Default result of a cancelled RPC. StatusCode=Cancelled, empty details message.
| DefaultSuccess | Default result of a successful RPC. StatusCode=OK, empty details message.

Top
See Also

#### Reference

Grpc.Core Namespace